StreamingMarkupWriter (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.xml
[Java] Class StreamingMarkupWriter

    java.lang.Object
      java.io.Writer
          groovy.xml.streamingmarkupsupport.StreamingMarkupWriter
              org.codehaus.groovy.grails.web.xml.StreamingMarkupWriter

    public class StreamingMarkupWriter
    extends groovy.xml.streamingmarkupsupport.StreamingMarkupWriter

Specialized StreamingMarkupWriter that handles the escaping of double quotes in XML attributes

Authors:
  Siegfried Puchbauer

Since:
  1.1

Constructor Summary
`StreamingMarkupWriter(java.io.Writer writer, java.lang.String s)`
`StreamingMarkupWriter(java.io.Writer writer)`

Method Summary
`void` | `write(int i)`

Methods inherited from class groovy.xml.streamingmarkupsupport.StreamingMarkupWriter
groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#getEncoding(), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#write(int), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#write([C, int, int), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#flush(), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#close(), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#escaped(), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#setWritingAttribute(boolean), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#unescaped(), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#getEncodingKnown(), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#append(java.lang.CharSequence, int, int), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#append(char), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#append(java.lang.CharSequence), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#append(char), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#append(java.lang.CharSequence, int, int), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#append(java.lang.CharSequence), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#write([C), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#write(java.lang.String, int, int), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#write(java.lang.String), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#wait(long, int), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#wait(long), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#wait(), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#equals(java.lang.Object), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#toString(), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#hashCode(), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#getClass(), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#notify(), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#notifyAll()

Methods inherited from class java.io.Writer
java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#write([C), java.io.Writer#write([C, int, int), java.io.Writer#write(int), java.io.Writer#write(java.lang.String, int, int), java.io.Writer#write(java.lang.String), java.io.Writer#flush(), java.io.Writer#close(), java.io.Writer#wait(long, int), java.io.Writer#wait(long), java.io.Writer#wait(), java.io.Writer#equals(java.lang.Object), java.io.Writer#toString(), java.io.Writer#hashCode(), java.io.Writer#getClass(), java.io.Writer#notify(), java.io.Writer#notifyAll()

Constructor Detail

### StreamingMarkupWriter

    public StreamingMarkupWriter(java.io.Writer writer, java.lang.String s)

### StreamingMarkupWriter

    public StreamingMarkupWriter(java.io.Writer writer)

Method Detail

### write

    @java.lang.Override
    public void write(int i)

Groovy Documentation